import { user_properties, params, user_id, search_term, send_to } from '../ga4-properties';
const action = {
    title: 'Search',
    description: 'The term that was searched for.',
    defaultSubscription: 'type = "track" and event = "Products Searched"',
    platform: 'web',
    fields: {
        user_id: user_id,
        user_properties: user_properties,
        params: params,
        search_term: search_term,
        send_to: send_to
    },
    perform: (gtag, { payload, settings }) => {
        gtag('event', 'search', {
            search_term: payload.search_term,
            user_id: payload.user_id ?? undefined,
            user_properties: payload.user_properties,
            send_to: payload.send_to == true ? settings.measurementID : 'default',
            ...payload.params
        });
    }
};
export default action;
//# sourceMappingURL=index.js.map